libzypp 17.37.10

ResObject.h File Reference
`#include <zypp-core/Globals.h>`
`#include <zypp/Resolvable.h>`
`#include <zypp/Vendor.h>`
`#include <zypp/sat/LookupAttr.h>`

Go to the source code of this file.

## Classes
class | zypp::ResObject
| Base for resolvable objects. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
ResObject::Ptr | zypp::makeResObject (const sat::Solvable &solvable_r)
| Create ResObject from sat::Solvable.
template<class TRes>
ResTraits< TRes >::PtrType | zypp::make (const sat::Solvable &solvable_r)
| Directly create a certain kind of ResObject from sat::Solvable.
template<>
ResObject::Ptr | zypp::make< ResObject > (const sat::Solvable &solvable_r)
template<class TRes>
ResTraits< TRes >::PtrType | zypp::asKind (const sat::Solvable &solvable_r)
| Directly create a certain kind of ResObject from sat::Solvable.
template<class TRes>
ResTraits< TRes >::constPtrType | zypp::asKind (const ResObject::constPtr &p)